Bug 1477145 - [Doc-RFE] Document in-line (at REST) compression for RGW
[Doc-RFE] Document in-line (at REST) compression for RGW
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0
Unspecified Unspecified
high Severity unspecified
: rc
: 3.0
Assigned To: John Wilkins
Tejas
: Documentation, FutureFeature
Depends On: 1477276
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 06:47 EDT by Anjana Suparna Sriram
Modified: 2017-12-25 22:40 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-25 22:40:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Local build (255.06 KB, text/html)
2017-10-12 17:28 EDT, John Wilkins
no flags Details

  None (edit)
Description Anjana Suparna Sriram 2017-08-01 06:47:18 EDT
Additional info: RHCS 3.0 Content Plan:
https://docs.google.com/document/d/1fp1j6iPr9UPHCMWqqS8QG3SXiSQ3n9Y9a1YogivhtzA/edit
Comment 2 John Wilkins 2017-09-20 17:12:43 EDT
This bug is erroneously conflated in the Ceph 3.0 Content plan. It includes both Encryption and Compression. They are in two different guides. 

The Compression commit is here: 

https://gitlab.cee.redhat.com/red-hat-ceph-storage-documentation/doc-Red_Hat_Ceph_Storage_3-Object_Gateway_Guide/commit/23c27e523b62588a705664e2d09799011d60c94e


The Encryption commits are here: 

https://gitlab.cee.redhat.com/red-hat-ceph-storage-documentation/doc-Red_Hat_Ceph_Storage_3-Developer_Guide/commit/dc064cadabd1da4dc44ffb186e11a0de4b986900
Comment 3 Tejas 2017-10-05 23:27:55 EDT
could you provide the link to the compression and encrytion guide, as it is now?
Comment 4 Harish NV Rao 2017-10-12 08:05:13 EDT
(In reply to Tejas from comment #3)
> could you provide the link to the compression and encrytion guide, as it is
> now?

@John, A gentle reminder.
Comment 5 John Wilkins 2017-10-12 17:28 EDT
Created attachment 1337969 [details]
Local build

Pantheon doesn't have the gateway guide installed yet. Local build is all I can provide.
Comment 6 John Wilkins 2017-10-12 17:28:58 EDT
I've added an attachment of the local build of docs. It is not configured in Pantheon at this time.
Comment 7 Tejas 2017-10-16 11:13:03 EDT
As per this :https://trello.com/c/ufX0Wvy6/12-at-rest-compression-for-rgw-objects

QE has only tested with Zlib compression algortihm. But in the doc we claim support for 4 compression algorithms. Dev could comment on this.

Casey, need your imput here.
Comment 8 Casey Bodley 2017-10-16 11:23:40 EDT
Hi Tejas and John,

The lz4 compression plugin is not built by default[1], so I don't think we should list it as an option.

The others (snappy, zlib, zstd) are all available by default, and are tested upstream with radosgw. I don't see a reason to leave them out.


[1] In CMakeLists.txt: option(WITH_LZ4 "LZ4 compression support" OFF)
Comment 19 Tejas 2017-11-08 07:36:19 EST
LGTM.

Note You need to log in before you can comment on or make changes to this bug.